CreateDomain
Creates a new Domain for managing HealthAgent resources.
Request Syntax
POST /domain HTTP/1.1
Content-type: application/json
{
"kmsKeyArn": "string",
"name": "string",
"tags": {
"string" : "string"
},
"webAppSetupConfiguration": {
"ehrRole": "string",
"idcInstanceId": "string",
"idcRegion": "string"
}
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- kmsKeyArn
-
The ARN of the KMS key to use for encrypting data in this Domain.
Type: String
Pattern:
arn:aws:kms:[a-z0-9-]+:[0-9]{12}:key/[a-f0-9-]+Required: No
- name
-
The name for the new Domain.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Required: Yes
-
Tags to associate with the Domain.
Type: String to string map
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Value Length Constraints: Minimum length of 0. Maximum length of 256.
Required: No
- webAppSetupConfiguration
-
Configuration for the Domain web application. Optional, but if provided all fields are required.
Type: CreateWebAppConfiguration object
Required: No
Response Syntax
HTTP/1.1 201
Content-type: application/json
{
"arn": "string",
"createdAt": number,
"domainId": "string",
"encryptionContext": {
"encryptionType": "string",
"kmsKeyArn": "string"
},
"kmsKeyArn": "string",
"name": "string",
"status": "string",
"webAppConfiguration": {
"ehrRole": "string",
"idcApplicationId": "string",
"idcRegion": "string"
},
"webAppUrl": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 201 response.
The following data is returned in JSON format by the service.
- arn
-
Type: String
Pattern:
arn:aws:health-agent:[a-z0-9-]+:[0-9]{12}:domain/(hai-|dom-)[a-z0-9]+ - createdAt
-
Type: Timestamp
- domainId
-
Type: String
Length Constraints: Minimum length of 20. Maximum length of 25.
Pattern:
(hai-|dom-)[a-z0-9]+ - encryptionContext
-
Type: EncryptionContext object
- kmsKeyArn
-
Type: String
Pattern:
arn:aws:kms:[a-z0-9-]+:[0-9]{12}:key/[a-f0-9-]+ - name
-
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
- status
-
Type: String
Valid Values:
ACTIVE | DELETING | DELETED - webAppConfiguration
-
Type: WebAppConfiguration object
- webAppUrl
-
Type: String
Errors
For information about the errors that are common to all actions, see Common Errors.
- ServiceQuotaExceededException
-
The request exceeds a service quota.
HTTP Status Code: 402
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: